'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _constants = require('../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } } /* eslint-disable react/no-danger */


var DeferredState = function () {
  function DeferredState(tree) {
    _classCallCheck(this, DeferredState);

    this.tree = tree;
  }

  DeferredState.prototype.getScriptContent = function getScriptContent() {
    return 'window.' + _constants.LOADABLE_STATE + ' = ' + JSON.stringify(this.tree) + ';';
  };

  DeferredState.prototype.getScriptTag = function getScriptTag() {
    return '<script>' + this.getScriptContent() + '</script>';
  };

  DeferredState.prototype.getScriptElement = function getScriptElement() {
    return _react2.default.createElement('script', { dangerouslySetInnerHTML: { __html: this.getScriptContent() } });
  };

  return DeferredState;
}();

exports.default = DeferredState;